Bug 487363 - qpidd crash during shutdown (when configured as --replication-queue replication-queue --create-replication-queue true)
qpidd crash during shutdown (when configured as --replication-queue replicati...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
urgent Severity high
: 1.1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 11:41 EST by Frantisek Reznicek
Modified: 2015-11-15 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 15:45:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2009-02-25 11:41:44 EST
Description of problem:

If there is running default qpidd deamon as service (service qpidd start), then
second qpidd broker started on different port (5555) :
qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+

will segfault after kill <qpidd-on-5555-pid>

See details in Additional info section:
  There is segfault observed when ran according steps below, 
  but no segfault in case qpidd is wrapped by valgrind.

Version-Release number of selected component (if applicable):
qpidd-0.4.744917-1.el5, rhm-0.4.3116-3.el5


How reproducible:
100%

Steps to Reproduce:
1. service qpidd start
2. qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+
3. kill %1 or so to kill qpidd 


Actual results:
qpidd on port 5555 segfaults

Expected results:
qpidd should correctly shutdown

Additional info: (transcript & backtraces)

[root@nec-em13 adr]# service qpidd start
Starting Qpid AMQP daemon: [  OK  ]
[root@nec-em13 adr]# qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd.log 2>&1 &
[1] 11975
[root@nec-em13 adr]#
[root@nec-em13 adr]# jobs
[1]+  Running                 qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd.log 2>&1 &
[root@nec-em13 adr]# kill %1
[root@nec-em13 adr]#
[1]+  Segmentation fault      (core dumped) qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd.log 2>&1
[root@nec-em13 adr]# ll
total 3904
-rw-r--r-- 1 root root     2796 Feb 25 10:56 ConnectionOptions.h
-rw------- 1 root root 32800768 Feb 25 11:14 core.11824
-rw------- 1 root root 32800768 Feb 25 11:22 core.11852
-rw------- 1 root root 32800768 Feb 25 11:29 core.11975
-rwxr-xr-x 1 root root   228637 Feb 25 11:03 latencytest
-rw-r--r-- 1 root root    12487 Feb 25 11:03 latencytest.cpp
-rw-r--r-- 1 root root    11784 Feb 10 16:42 latencytest.cpp.1
-rw-r--r-- 1 root root    11784 Feb 10 16:42 latencytest.cpp.orig
-rw-r--r-- 1 root root     3578 Feb 25 11:02 latencytest.cpp.patch
-rw-r--r-- 1 root root     2214 Feb 25 11:29 qpidd.log
-rw-r--r-- 1 root root     7402 Feb 25 11:26 qpidd_v.log
-rw-r--r-- 1 root root     2374 Jun  3  2008 TestOptions.h
[root@nec-em13 adr]# gdb `which qpidd` core.11975
GNU gdb Fedora (6.8-27.el5)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libqpidbroker.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libqpidbroker.so.0
Reading symbols from /usr/lib/libqpidcommon.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libqpidcommon.so.0
Reading symbols from /usr/lib/libboost_program_options.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libboost_program_options.so.2
Reading symbols from /usr/lib/libboost_filesystem.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libboost_filesystem.so.2
Reading symbols from /lib/libuuid.so.1...
(no debugging symbols found)...done.
Loaded symbols for /lib/libuuid.so.1
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /usr/lib/libsasl2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsasl2.so.2
Reading symbols from /usr/lib/libstdc++.so.6...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libresolv.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libcrypt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /usr/lib/qpid/daemon/xml.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/daemon/xml.so
Reading symbols from /usr/lib/libxerces-c.so.28...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxerces-c.so.28
Reading symbols from /usr/lib/libxqilla.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxqilla.so.3
Reading symbols from /usr/lib/qpid/daemon/replicating_listener.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/daemon/replicating_listener.so
Reading symbols from /usr/lib/qpid/daemon/rdma.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/daemon/rdma.so
Reading symbols from /usr/lib/librdmawrap.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librdmawrap.so.0
Reading symbols from /usr/lib/librdmacm.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librdmacm.so.1
Reading symbols from /usr/lib/libibverbs.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libibverbs.so.1
Reading symbols from /usr/lib/qpid/daemon/ssl.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/daemon/ssl.so
Reading symbols from /usr/lib/libsslcommon.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsslcommon.so.0
Reading symbols from /usr/lib/libnss3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libnss3.so
Reading symbols from /usr/lib/libssl3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libssl3.so
Reading symbols from /usr/lib/libnspr4.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libnspr4.so
Reading symbols from /usr/lib/libnssutil3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libnssutil3.so
Reading symbols from /usr/lib/libplc4.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libplc4.so
Reading symbols from /usr/lib/libplds4.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libplds4.so
Reading symbols from /usr/lib/qpid/daemon/replication_exchange.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/daemon/replication_exchange.so
Reading symbols from /usr/lib/qpid/daemon/acl.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/daemon/acl.so
Reading symbols from /usr/lib/qpid/daemon/msgstore.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/daemon/msgstore.so
Reading symbols from /usr/lib/libdb_cxx-4.3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libdb_cxx-4.3.so
Reading symbols from /usr/lib/libaio.so.1...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libaio.so.1
Reading symbols from /usr/lib/qpid/daemon/cluster.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/daemon/cluster.so
Reading symbols from /usr/lib/openais/libcpg.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/openais/libcpg.so.2
Reading symbols from /usr/lib/libcman.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libcman.so.2
Reading symbols from /usr/lib/libqpidclient.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libqpidclient.so.0
Reading symbols from /usr/lib/qpid/client/rdmaconnector.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/client/rdmaconnector.so
Reading symbols from /usr/lib/qpid/client/sslconnector.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/qpid/client/sslconnector.so
(no debugging symbols found)
Core was generated by `qpidd --auth no -p 5555 --replication-queue replication-queue --create-replicat'.
Program terminated with signal 11, Segmentation fault.
[New process 11975]
#0  0x003f6b7c in free () from /lib/libc.so.6
(gdb) bt
#0  0x003f6b7c in free () from /lib/libc.so.6
#1  0x00724468 in PR_Free () from /usr/lib/libnspr4.so
#2  0x007388f0 in ?? () from /usr/lib/libnspr4.so
#3  0x007389dd in ?? () from /usr/lib/libnspr4.so
#4  0x0071b7e2 in ?? () from /usr/lib/libnspr4.so
#5  0x00749390 in ?? () from /usr/lib/libnspr4.so
#6  0xb7fdb528 in ?? ()
#7  0xbf97ea08 in ?? ()
#8  0x0071b78a in ?? () from /usr/lib/libnspr4.so
#9  0x00749550 in ?? () from /usr/lib/libnspr4.so
#10 0x00387240 in _rtld_local () from /lib/ld-linux.so.2
#11 0xbf97ea18 in ?? ()
#12 0x0073dc7c in _fini () from /usr/lib/libnspr4.so
Backtrace stopped: frame did not save the PC
(gdb) quit
[root@nec-em13 adr]# service qpidd restart
Stopping Qpid AMQP daemon: [  OK  ]
Starting Qpid AMQP daemon: [  OK  ]
[root@nec-em13 adr]# qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1 &
[1] 12047
[root@nec-em13 adr]# fg
[root@nec-em13 adr]# service qpidd restart
Stopping Qpid AMQP daemon: [  OK  ]
Starting Qpid AMQP daemon: [  OK  ]
[root@nec-em13 adr]# valgrind qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1 &
[2] 12112
[root@nec-em13 adr]# jobs
[1]-  Running                 qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1 &
[2]+  Running                 valgrind qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1 &
[root@nec-em13 adr]# kill %2
-bash: kill: (12112) - No such process
[2]+  Exit 1                  valgrind qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1
[root@nec-em13 adr]#
[root@nec-em13 adr]# jobs
[1]+  Running                 qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1 &
[root@nec-em13 adr]# kill %1
[root@nec-em13 adr]# !serv
service qpidd restart
Stopping Qpid AMQP daemon: [  OK  ]
Starting Qpid AMQP daemon: [  OK  ]
[1]+  Segmentation fault      (core dumped) qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1
[root@nec-em13 adr]#
[root@nec-em13 adr]#
[root@nec-em13 adr]# valgrind qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1 &
[1] 12172
[root@nec-em13 adr]#
[root@nec-em13 adr]# jobs
[1]+  Running                 valgrind qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1 &
[root@nec-em13 adr]# kill  %1
[root@nec-em13 adr]#
[root@nec-em13 adr]#
[1]+  Done                    valgrind qpidd --auth no -p 5555 --replication-queue replication-queue --create-replication-queue true --log-enable info+ > qpidd_v.log 2>&1
[root@nec-em13 adr]# cat qpidd.log
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/daemon/xml.so
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/daemon/replicating_listener.so
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/daemon/rdma.so
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/daemon/ssl.so
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/daemon/replication_exchange.so
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/daemon/acl.so
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/daemon/msgstore.so
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/client/rdmaconnector.so
2009-feb-25 11:29:16 info SSL connector not enabled, you must set QPID_SSL_CERT_DB to enable it.
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/client/sslconnector.so
2009-feb-25 11:29:16 info Loaded Module: /usr/lib/qpid/daemon/cluster.so
2009-feb-25 11:29:16 info Management enabled
2009-feb-25 11:29:16 notice Journal "TplStore": Created
2009-feb-25 11:29:16 notice Store module initialized; dir=/root/.qpidd
2009-feb-25 11:29:16 info > Default files per journal: 8
2009-feb-25 11:29:16 info > Default journal file size: 24 (wpgs)
2009-feb-25 11:29:16 info > Default write cache page size: 32 (Kib)
2009-feb-25 11:29:16 info > Default number of write cache pages: 32
2009-feb-25 11:29:16 info > TPL files per journal: 8
2009-feb-25 11:29:16 info > TPL journal file size: 24 (wpgs)
2009-feb-25 11:29:16 info > TPL write cache page size: 4 (Kib)
2009-feb-25 11:29:16 info > TPL number of write cache pages: 64
2009-feb-25 11:29:16 notice SASL disabled: No Authentication Performed
2009-feb-25 11:29:16 notice Listening on TCP port 5555
2009-feb-25 11:29:16 info Registered xml exchange
2009-feb-25 11:29:16 info Registered replicating queue event listener
libibverbs: Fatal: couldn't read uverbs ABI version.
2009-feb-25 11:29:16 info Rdma: Disabled: no rdma devices found
2009-feb-25 11:29:16 info SSL plugin not enabled, you must set --qpid-ssl-cert-db to enable it.
2009-feb-25 11:29:16 info Registered replication exchange
2009-feb-25 11:29:16 info Policy file not specified. ACL Disabled, no ACL checking being done!
2009-feb-25 11:29:16 notice Broker running
2009-feb-25 11:29:28 notice Shut down
[root@nec-em13 adr]# cat qpidd_v.log
==12172== Memcheck, a memory error detector.
==12172== Copyright (C) 2002-2006, and GNU GPL'd, by Julian Seward et al.
==12172== Using LibVEX rev 1658, a library for dynamic binary translation.
==12172== Copyright (C) 2004-2006, and GNU GPL'd, by OpenWorks LLP.
==12172== Using valgrind-3.2.1, a dynamic binary instrumentation framework.
==12172== Copyright (C) 2000-2006, and GNU GPL'd, by Julian Seward et al.
==12172== For more details, rerun with: -v
==12172==
2009-feb-25 11:31:33 info Loaded Module: /usr/lib/qpid/daemon/xml.so
2009-feb-25 11:31:33 info Loaded Module: /usr/lib/qpid/daemon/replicating_listener.so
2009-feb-25 11:31:33 info Loaded Module: /usr/lib/qpid/daemon/rdma.so
2009-feb-25 11:31:34 info Loaded Module: /usr/lib/qpid/daemon/ssl.so
2009-feb-25 11:31:34 info Loaded Module: /usr/lib/qpid/daemon/replication_exchange.so
2009-feb-25 11:31:34 info Loaded Module: /usr/lib/qpid/daemon/acl.so
2009-feb-25 11:31:34 info Loaded Module: /usr/lib/qpid/daemon/msgstore.so
2009-feb-25 11:31:34 info Loaded Module: /usr/lib/qpid/client/rdmaconnector.so
2009-feb-25 11:31:34 info SSL connector not enabled, you must set QPID_SSL_CERT_DB to enable it.
2009-feb-25 11:31:34 info Loaded Module: /usr/lib/qpid/client/sslconnector.so
2009-feb-25 11:31:34 info Loaded Module: /usr/lib/qpid/daemon/cluster.so
2009-feb-25 11:31:35 info Management enabled
2009-feb-25 11:31:36 notice Journal "TplStore": Created
2009-feb-25 11:31:36 notice Store module initialized; dir=/root/.qpidd
2009-feb-25 11:31:36 info > Default files per journal: 8
2009-feb-25 11:31:36 info > Default journal file size: 24 (wpgs)
2009-feb-25 11:31:36 info > Default write cache page size: 32 (Kib)
2009-feb-25 11:31:36 info > Default number of write cache pages: 32
2009-feb-25 11:31:36 info > TPL files per journal: 8
2009-feb-25 11:31:36 info > TPL journal file size: 24 (wpgs)
2009-feb-25 11:31:36 info > TPL write cache page size: 4 (Kib)
2009-feb-25 11:31:36 info > TPL number of write cache pages: 64
2009-feb-25 11:31:36 notice SASL disabled: No Authentication Performed
2009-feb-25 11:31:36 notice Listening on TCP port 5555
2009-feb-25 11:31:36 info Registered xml exchange
2009-feb-25 11:31:36 info Registered replicating queue event listener
libibverbs: Fatal: couldn't read uverbs ABI version.
2009-feb-25 11:31:36 info Rdma: Disabled: no rdma devices found
2009-feb-25 11:31:36 info SSL plugin not enabled, you must set --qpid-ssl-cert-db to enable it.
2009-feb-25 11:31:36 info Registered replication exchange
2009-feb-25 11:31:36 info Policy file not specified. ACL Disabled, no ACL checking being done!
2009-feb-25 11:31:36 notice Broker running
2009-feb-25 11:31:42 notice Shut down
==12172== Invalid write of size 1
==12172==    at 0x1D3C07: qpid::broker::Queue::~Queue() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x249B17: boost::detail::sp_counted_impl_p<qpid::broker::Queue>::dispose() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x4276CB7: (within /usr/lib/qpid/daemon/replicating_listener.so)
==12172==    by 0x4041D38: exit (in /lib/libc-2.5.so)
==12172==    by 0x402BE93: (below main) (in /lib/libc-2.5.so)
==12172==  Address 0x4257DDA is 50 bytes inside a block of size 188 free'd
==12172==    at 0x4004CF1: operator delete(void*) (vg_replace_malloc.c:244)
==12172==    by 0x17DAE2: qmf::org::apache::qpid::broker::Queue::~Queue() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x2A4DC5: qpid::management::ManagementBroker::~ManagementBroker() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x29B2B7: qpid::management::ManagementAgent::Singleton::~Singleton() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x1BAE41: qpid::broker::Broker::~Broker() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x1C1234: qpid::RefCounted::released() const (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x804DD26: (within /usr/sbin/qpidd)
==12172==    by 0x804C676: (within /usr/sbin/qpidd)
==12172==    by 0x402BE8B: (below main) (in /lib/libc-2.5.so)
==12172==
==12172== Invalid write of size 4
==12172==    at 0x1D3C0B: qpid::broker::Queue::~Queue() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x249B17: boost::detail::sp_counted_impl_p<qpid::broker::Queue>::dispose() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x4276CB7: (within /usr/lib/qpid/daemon/replicating_listener.so)
==12172==    by 0x4041D38: exit (in /lib/libc-2.5.so)
==12172==    by 0x402BE93: (below main) (in /lib/libc-2.5.so)
==12172==  Address 0x4257DB4 is 12 bytes inside a block of size 188 free'd
==12172==    at 0x4004CF1: operator delete(void*) (vg_replace_malloc.c:244)
==12172==    by 0x17DAE2: qmf::org::apache::qpid::broker::Queue::~Queue() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x2A4DC5: qpid::management::ManagementBroker::~ManagementBroker() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x29B2B7: qpid::management::ManagementAgent::Singleton::~Singleton() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x1BAE41: qpid::broker::Broker::~Broker() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x1C1234: qpid::RefCounted::released() const (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x804DD26: (within /usr/sbin/qpidd)
==12172==    by 0x804C676: (within /usr/sbin/qpidd)
==12172==    by 0x402BE8B: (below main) (in /lib/libc-2.5.so)
==12172==
==12172== Invalid write of size 4
==12172==    at 0x1D3C0E: qpid::broker::Queue::~Queue() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x249B17: boost::detail::sp_counted_impl_p<qpid::broker::Queue>::dispose() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x4276CB7: (within /usr/lib/qpid/daemon/replicating_listener.so)
==12172==    by 0x4041D38: exit (in /lib/libc-2.5.so)
==12172==    by 0x402BE93: (below main) (in /lib/libc-2.5.so)
==12172==  Address 0x4257DB8 is 16 bytes inside a block of size 188 free'd
==12172==    at 0x4004CF1: operator delete(void*) (vg_replace_malloc.c:244)
==12172==    by 0x17DAE2: qmf::org::apache::qpid::broker::Queue::~Queue() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x2A4DC5: qpid::management::ManagementBroker::~ManagementBroker() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x29B2B7: qpid::management::ManagementAgent::Singleton::~Singleton() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x1BAE41: qpid::broker::Broker::~Broker() (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x1C1234: qpid::RefCounted::released() const (in /usr/lib/libqpidbroker.so.0.1.0)
==12172==    by 0x804DD26: (within /usr/sbin/qpidd)
==12172==    by 0x804C676: (within /usr/sbin/qpidd)
==12172==    by 0x402BE8B: (below main) (in /lib/libc-2.5.so)
==12172==
==12172== ERROR SUMMARY: 3 errors from 3 contexts (suppressed: 142 from 1)
==12172== malloc/free: in use at exit: 30,043 bytes in 219 blocks.
==12172== malloc/free: 6,553 allocs, 6,334 frees, 729,741 bytes allocated.
==12172== For counts of detected errors, rerun with: -v
==12172== searching for pointers to 219 not-freed blocks.
==12172== checked 1,157,912 bytes.
==12172==
==12172== LEAK SUMMARY:
==12172==    definitely lost: 0 bytes in 0 blocks.
==12172==      possibly lost: 0 bytes in 0 blocks.
==12172==    still reachable: 30,043 bytes in 219 blocks.
==12172==         suppressed: 0 bytes in 0 blocks.
==12172== Reachable blocks (those to which a pointer was found) are not shown.
==12172== To see them, rerun with: --show-reachable=yes
Comment 1 Gordon Sim 2009-02-25 12:02:01 EST
Fixed by r747861.
Comment 2 Martin Kudlej 2009-04-09 08:50:28 EDT
I tested it on RHEL 5.3/4.7 i386/x86_64 on r752581.
It works without segfaults.

-->VERIFIED
Comment 3 Justin Ross 2011-06-28 15:45:14 EDT
Fixed and verified; closing.

Note You need to log in before you can comment on or make changes to this bug.